4Suite™ API Documentation

# ► Module Ft.Rdf.Parsers.Versa.Literals

Definition of Literal Types
WWW: http://4suite.org/4XSLT e-mail: support@4suite.org
Copyright (c) 1999-2001 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: BooleanLiteral, Literal, NumberLiteral, ResourceLiteral, StringLiteral

## Classes

class BooleanLiteral(Literal)
A Boolean Literal

### Methods

__init__(self, val)

### Methods inherited from class Literal

evaluate

class Literal
Base class for all Literals

### Methods

__init__(self, val)
evaluate(self, con)

class NumberLiteral(Literal)
A Number Literal

### Methods

__init__(self, val)

### Methods inherited from class Literal

evaluate

class ResourceLiteral(Literal)
A resource Literal

### Methods

__init__(self, val)

### Methods inherited from class Literal

evaluate

class StringLiteral(Literal)
A String Literal

### Methods

__init__(self, val)

### Methods inherited from class Literal

evaluate